# TdApi.BusinessGreetingMessageSettings (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: BusinessGreetingMessageSettings

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BusinessGreetingMessageSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BusinessGreetingMessageSettings

Enclosing class:
  TdApi

public static final class TdApi.BusinessGreetingMessageSettings extends TdApi.Object
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`inactivityDays`
The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.
`TdApi.BusinessRecipients`
`recipients`
Chosen recipients of the greeting messages.
`int`
`shortcutId`
Unique quick reply shortcut identifier for the greeting messages.

## Constructor Summary

Constructors
Constructor
Description
`BusinessGreetingMessageSettings()`
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.
`BusinessGreetingMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, int inactivityDays)`
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.
`BusinessGreetingMessageSettings(DataInput input)`
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### shortcutId

public int shortcutId
Unique quick reply shortcut identifier for the greeting messages.

### recipients

public TdApi.BusinessRecipients recipients
Chosen recipients of the greeting messages.

### inactivityDays

public int inactivityDays
The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### BusinessGreetingMessageSettings

public BusinessGreetingMessageSettings()
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

### BusinessGreetingMessageSettings

public BusinessGreetingMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, int inactivityDays)
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

Parameters:
  `shortcutId` - Unique quick reply shortcut identifier for the greeting messages.
  `recipients` - Chosen recipients of the greeting messages.
  `inactivityDays` - The number of days after which a chat will be considered as inactive; currently, must be on of 7, 14, 21, or 28.

### BusinessGreetingMessageSettings

public BusinessGreetingMessageSettings(DataInput input) throws IOException
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`